Bug 1276579 - error dialog spawned for each failed thread
error dialog spawned for each failed thread
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 04:25 EDT by Kamil Páral
Modified: 2015-11-03 04:28 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-24.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-02 17:32:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (631.66 KB, image/jpeg)
2015-10-30 04:26 EDT, Kamil Páral
no flags Details
screenshot 2 (616.64 KB, image/jpeg)
2015-10-30 04:26 EDT, Kamil Páral
no flags Details
screenshot 3 (570.78 KB, image/jpeg)
2015-10-30 04:26 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2015-10-30 04:25:49 EDT
Description of problem:
In bug 1276574 I was greeted with two "anaconda crashed" dialogs on boot. One was inactive (couldn't be clicked), the second was active. The inactive one was displayed on top of everything, so every window had to be moved out of the way in order for me to be able to interact with it.

It seems you're spawning error windows for each failed thread. It seems this behavior should be tweaked, otherwise it's sometimes difficult to fill in a bug report.

All the logs are in 1276574.

Version-Release number of selected component (if applicable):
anaconda-23.19.10-1
Comment 1 Kamil Páral 2015-10-30 04:26 EDT
Created attachment 1087856 [details]
screenshot 1
Comment 2 Kamil Páral 2015-10-30 04:26 EDT
Created attachment 1087857 [details]
screenshot 2
Comment 3 Kamil Páral 2015-10-30 04:26 EDT
Created attachment 1087858 [details]
screenshot 3
Comment 4 Brian Lane 2015-10-30 19:42:11 EDT
Proposed patch: https://github.com/rhinstaller/anaconda/pull/435

This one is tricky to reproduce, could you give this a try and see if it fixes it?
Comment 5 Kamil Páral 2015-11-02 09:02:08 EST
I'll try to reproduce the original problem in a few days. Could you please provide an updates.img against F23 GOLD?
Comment 7 Kamil Páral 2015-11-03 04:28:16 EST
Sorry, I can't reproduce this. I can't do even a clean installation now (wiped all disks, fresh new fw raid assembled), because I always see bug 1276574 (only one error message).

Note You need to log in before you can comment on or make changes to this bug.